diff --git a/books/bookvol10.3.pamphlet b/books/bookvol10.3.pamphlet
index 49498e8..d48ae94 100644
--- a/books/bookvol10.3.pamphlet
+++ b/books/bookvol10.3.pamphlet
@@ -72817,12 +72817,12 @@ PlaneAlgebraicCurvePlot(): PlottablePlaneCurveCategory _
     xNewNF := xNF + RNtoNF horizInc
     xRtNF := max(xNF,xNewNF); xLftNF := min(xNF,xNewNF)
 --  ptsSuchThat?(singPts,inRect?(#1,xLftNF,xRtNF,yMinNF,yMaxNF)) =>
-    foo : List Float -> Boolean := inRect?(#1,xLftNF,xRtNF,yMinNF,yMaxNF)
+    foo : List Float -> Boolean := x +-> inRect?(x,xLftNF,xRtNF,yMinNF,yMaxNF)
     ptsSuchThat?(singPts,foo) =>
       newX(vtanPts,singPts,yMinNF,yMaxNF,xNF,xRN,_
         horizInc/2::(Fraction Integer))
 --  ptsSuchThat?(vtanPts,onVertSeg?(#1,yMinNF,yMaxNF,xNewNF)) =>
-    goo : List Float -> Boolean := onVertSeg?(#1,yMinNF,yMaxNF,xNewNF)
+    goo : List Float -> Boolean := x +-> onVertSeg?(x,yMinNF,yMaxNF,xNewNF)
     ptsSuchThat?(vtanPts,goo) =>
       newX(vtanPts,singPts,yMinNF,yMaxNF,xNF,xRN,_
         horizInc/2::(Fraction Integer))
@@ -72832,12 +72832,12 @@ PlaneAlgebraicCurvePlot(): PlottablePlaneCurveCategory _
     yNewNF := yNF + RNtoNF vertInc
     yTopNF := max(yNF,yNewNF); yBotNF := min(yNF,yNewNF)
 --  ptsSuchThat?(singPts,inRect?(#1,xMinNF,xMaxNF,yBotNF,yTopNF)) =>
-    foo : List Float -> Boolean := inRect?(#1,xMinNF,xMaxNF,yBotNF,yTopNF)
+    foo : List Float -> Boolean := x +-> inRect?(x,xMinNF,xMaxNF,yBotNF,yTopNF)
     ptsSuchThat?(singPts,foo) =>
       newY(htanPts,singPts,xMinNF,xMaxNF,yNF,yRN,_
         vertInc/2::(Fraction Integer))
 --  ptsSuchThat?(htanPts,onHorzSeg?(#1,xMinNF,xMaxNF,yNewNF)) =>
-    goo : List Float -> Boolean := onHorzSeg?(#1,xMinNF,xMaxNF,yNewNF)
+    goo : List Float -> Boolean := x +-> onHorzSeg?(x,xMinNF,xMaxNF,yNewNF)
     ptsSuchThat?(htanPts,goo) =>
       newY(htanPts,singPts,xMinNF,xMaxNF,yNF,yRN,_
         vertInc/2::(Fraction Integer))
@@ -73054,7 +73054,7 @@ PlaneAlgebraicCurvePlot(): PlottablePlaneCurveCategory _
     numUPolySF := SFPolyToUPoly(coerceCoefsToSFs(num))
     denUPolySF := SFPolyToUPoly(coerceCoefsToSFs(den))
     -- this is the rational function
-    f : DoubleFloat -> DoubleFloat := elt(numUPolySF,#1)/elt(denUPolySF,#1)
+    f : DoubleFloat -> DoubleFloat := s +-> elt(numUPolySF,s)/elt(denUPolySF,s)
     -- values of the dependent and independent variables
     if depVar = x then
       indVarMin   := yMin;   indVarMax   := yMax
@@ -73088,21 +73088,21 @@ PlaneAlgebraicCurvePlot(): PlottablePlaneCurveCategory _
       for root in roots repeat
         if (indVarMinNF < root) and (root < indVarMaxNF) then
           outList := cons(NFtoSF root,outList)
-      sort(#1 < #2,outList)
+      sort((x,y) +-> x < y, outList)
     topList : List DoubleFloat :=
       roots : List Float := kinte(eval(pRN,depVar,depVarMax),EPSILON)
       outList : List DoubleFloat := nil()
       for root in roots repeat
         if (indVarMinNF < root) and (root < indVarMaxNF) then
           outList := cons(NFtoSF root,outList)
-      sort(#1 < #2,outList)
+      sort((x,y) +-> x < y, outList)
     botList : List DoubleFloat :=
       roots : List Float := kinte(eval(pRN,depVar,depVarMin),EPSILON)
       outList : List DoubleFloat := nil()
       for root in roots repeat
         if (indVarMinNF < root) and (root < indVarMaxNF) then
           outList := cons(NFtoSF root,outList)
-      sort(#1 < #2,outList)
+      sort((x,y) +-> x < y, outList)
     -- We wish to determine if the graph has points on the 'left'
     -- and 'right' boundaries, so we compute the value of the
     -- rational function at the lefthand and righthand values of
@@ -73224,7 +73224,7 @@ PlaneAlgebraicCurvePlot(): PlottablePlaneCurveCategory _
     -- compute singular points; error if singularities in region
     singPts := rsolve([p,dpdx,dpdy],[x,y],EPSILON)
 --  ptsSuchThat?(singPts,inRect?(#1,xMinNF,xMaxNF,yMinNF,yMaxNF)) =>
-    foo : List Float -> Boolean := inRect?(#1,xMinNF,xMaxNF,yMinNF,yMaxNF)
+    foo : List Float -> Boolean := s +-> inRect?(s,xMinNF,xMaxNF,yMinNF,yMaxNF)
     ptsSuchThat?(singPts,foo) =>
       error "singular pts in region of sketch"
     -- compute critical points
@@ -73237,22 +73237,22 @@ PlaneAlgebraicCurvePlot(): PlottablePlaneCurveCategory _
     hInc : Fraction Integer := (1/20) * (xMax - xMin)
     vInc : Fraction Integer := (1/20) * (yMax - yMin)
 --  if ptsSuchThat?(critPts,onVertSeg?(#1,yMinNF,yMaxNF,xMinNF)) then
-    foo : List Float -> Boolean := onVertSeg?(#1,yMinNF,yMaxNF,xMinNF)
+    foo : List Float -> Boolean := s +-> onVertSeg?(s,yMinNF,yMaxNF,xMinNF)
     if ptsSuchThat?(critPts,foo) then
       xMin := newX(critPts,singPts,yMinNF,yMaxNF,xMinNF,xMin,-hInc)
       xMinNF := RNtoNF xMin
 --  if ptsSuchThat?(critPts,onVertSeg?(#1,yMinNF,yMaxNF,xMaxNF)) then
-    foo : List Float -> Boolean := onVertSeg?(#1,yMinNF,yMaxNF,xMaxNF)
+    foo : List Float -> Boolean := s +-> onVertSeg?(s,yMinNF,yMaxNF,xMaxNF)
     if ptsSuchThat?(critPts,foo) then
       xMax := newX(critPts,singPts,yMinNF,yMaxNF,xMaxNF,xMax,hInc)
       xMaxNF := RNtoNF xMax
 --  if ptsSuchThat?(critPts,onHorzSeg?(#1,xMinNF,xMaxNF,yMinNF)) then
-    foo : List Float -> Boolean := onHorzSeg?(#1,xMinNF,xMaxNF,yMinNF)
+    foo : List Float -> Boolean := s +-> onHorzSeg?(s,xMinNF,xMaxNF,yMinNF)
     if ptsSuchThat?(critPts,foo) then
       yMin := newY(critPts,singPts,xMinNF,xMaxNF,yMinNF,yMin,-vInc)
       yMinNF := RNtoNF yMin
 --  if ptsSuchThat?(critPts,onHorzSeg?(#1,xMinNF,xMaxNF,yMaxNF)) then
-    foo : List Float -> Boolean := onHorzSeg?(#1,xMinNF,xMaxNF,yMaxNF)
+    foo : List Float -> Boolean := s +-> onHorzSeg?(s,xMinNF,xMaxNF,yMaxNF)
     if ptsSuchThat?(critPts,foo) then
       yMax := newY(critPts,singPts,xMinNF,xMaxNF,yMaxNF,yMax,vInc)
       yMaxNF := RNtoNF yMax
diff --git a/changelog b/changelog
index 8337ff0..bf7d3a1 100644
--- a/changelog
+++ b/changelog
@@ -1,3 +1,5 @@
+20090508 tpd src/axiom-website/patches.html 20090508.02.tpd.patch
+20090508 tpd books/bookvol10.3 ACPLOT +-> conversion
 20090508 tpd src/axiom-website/patches.html 20090508.01.tpd.patch
 20090508 tpd books/bookvol10.4 REALSOLV +-> conversion
 20090501 tpd src/axiom-website/patches.html 20090501.01.tpd.patch
diff --git a/src/axiom-website/patches.html b/src/axiom-website/patches.html
index bf6aa01..a73ec6e 100644
--- a/src/axiom-website/patches.html
+++ b/src/axiom-website/patches.html
@@ -1116,5 +1116,7 @@ apply.boot removed, rewritten into lisp, not autoloaded <br/>
 *.input now uses latex tangle <br/>
 <a href="patches/20090508.01.tpd.patch">20090508.01.tpd.patch</a>
 bookvol10.4 REALSOLV +-> conversion<br/>
+<a href="patches/20090508.02.tpd.patch">20090508.02.tpd.patch</a>
+bookvol10.3 ACPLOT +-> conversion<br/>
  </body>
 </html>
